# easy-localization-typescript
typescript localization
## Usage

### Setup

First you need to set a default language.
 ```js
// ES6 module syntax
import EasyLocalizationTypeScript from 'easy-localization-typescript';

const loc = new EasyLocalizationTypeScripn();
/// Set default language
loc.setDefaultLanguage("fr");
```
After that you can set a current language.
```js
/// Set current language
loc.setCurrentLanguage("sr");

const testObj = {
  sr: {
    add: "Dodaj",
    remove: "Izbriši",
    add_new_item: "Dodaj novu stavku"
  },
  fr: {
    add: "Ajouter",
    remove: "Retirer",
    add_new_item: "Ajoute un Nouvel Objet"
  }
};
/// localise
let strings = loc.localize({languageObject:testObj }, {isPropLanguage:false})
/*
expected return  {
    add: "dodaj",
    remove: "izbriši",
    add_new_item: "Dodaj novu stavku"
  }
*/
```
### Using properites of default language as one more language
You can use a properties of default language object as one more language.
You can name it whatever you like with setObjectPropertiesLanguage() method and set it as current language. Property will be splitted by underscore and first word will be first letter uppercased.
```js

loc.setObjectPropertiesLanguage("en");
/// Set current language
loc.setCurrentLanguage("en");
/// localise and set usage of object prop language as true
let strings = loc.localize({languageObject:testObj }, { propsLanguage: true })
/*
expected return  {
    add: "Add",
    remove: "Remove",
    add_new_item: "Add new item"
  }
*/
```
You can use functions to set strings in language object but in that case Object Properties Language will not work properly.
